Submit a ticketCall us

AnnouncementsSystem Monitoring for Dummies

Tired of monitoring failures disrupting the system, application, and service? Learn the key monitoring concepts needed to help you create sophisticated monitoring and alerting strategies that can help you save time and money. Read the eBook.

Get your free eBook.

Home > Success Center > Orion Platform > Orion - Knowledgebase Articles > Windows Server 2012, 2016, and 2019 and SQL Server 2012, 2014, 2016 and 2017 Support

Windows Server 2012, 2016, and 2019 and SQL Server 2012, 2014, 2016 and 2017 Support

Updated March 19, 2019

Overview

This article lists SolarWinds products that support Microsoft Windows Server 2012 and 2012 R2, 2016 and 2019, as well as Microsoft SQL Server 2012, 2014, 2016, and 2017.

Orion Platform 2018.4 products are no longer compatible with Microsoft Windows Server 2012, 2012 R2 and Microsoft SQL Server 2012. To use features introduced in Orion Platform 2018.4, SolarWinds strongly recommends that you upgrade to Microsoft Windows Server 2016 or later, and Microsoft SQL Server 2016, 2017, or later at your earliest convenience.

 

See this video for information on the advantages of upgrading Orion Platform products from a 2012 infrastructure.

Environment

  • All SolarWinds products
  • Microsoft Windows Server 2012 and later
  • Microsoft SQL Server 2012 and later, including 2016 and 2017

Detail

The table below provides product versions (Product) that run on specific platforms (Microsoft Windows Server, Microsoft SQL Server). To find details on the latest and supported versions of products, please check the below article: Currently supported software versions

 

See separate table below for information on support of Microsoft Windows Server 2012 and Microsoft SQL Server 2012.

Windows Server 2016 and 2019 support and SQL Server 2014, 2016, and 2017 support

Product Microsoft Windows Server

Microsoft SQL Server

2019 2016 2017 2016* 2014*

NPM

(including APE/AWS)

12.4

12.4

12.3

12.2

12.1

12.0.1

12.4

12.3

12.2

2016
12.4
12.3
12.2
12.1
12.0.1
12.0
SP1
12.4
12.3
12.2
SP2
12.4
2014
12.4
12.3
12.2
12.1
12.0.1
12.0
SP1
12.4
12.3
12.2
12.1
12.0.1
12.0
SP2
12.4
12.3
12.2
12.1
12.0.1

NTA

 

4.5

4.5
4.4

4.2.3

4.2.2

4.5

4.4

4.2.3

2016
4.5
4.4
4.2.3
4.2.2
4.2.1
4.2
SP1
4.5
4.4
4.2.3
SP2
4.5

 

2014
4.5
4.4
4.2.3
4.2.2
4.2.1
4.2
4.1.2
4.1.1
4.1
4.0.3
4.0.2
4.0.1
4.0
SP1
4.5
4.4
4.2.3
4.2.2
4.2.1
4.2
SP2
4.5
4.4
4.2.3
4.2.2
4.2.1

 

NTA Flow Storage database 4.5

4.5

4.4

4.5
4.4
4.5
4.4
N/A
LA dedicated SQL database

2.0

1.1.1

2.0

1.1.1

1.1

1.0

2.0

1.1.1

1.1

1.0

SP1

2.0

1.1.1

1.1

1.0

N/A
NCM

7.9

7.9

7.8

7.7

7.6
7.5.1

7.9

7.8

7.7

2016

7.9

7.8

7.7

7.6

7.5.1

7.5

 

2016 SP1

7.9

7.8

7.7

7.6

 

2016 SP2

7.9

2014

7.9

7.8

7.7

7.6

7.5.1

7.5

7.4.1

7.4

7.3.2

2014 SP1

7.9

7.8

7.8

7.7

7.6

7.5.1

7.5

7.4.1

2014 SP2

7.9

7.7

7.6

7.5.1

IPAM

4.8.1

4.8

4.8.1

4.8

4.7
4.6

4.5

4.3.2**

4.8.1

4.8

4.7
4.6

4.8.1

4.8

4.7
4.6

4.3.2

4.5 and SP1

2014

4.8.1

4.8

4.7
4.6

4.5

4.3.2

4.3.1

4.3

4.2

2014 SP1 & 2

4.8.1

4.8

4.7
4.6

4.5

4.3.2

4.3.1

4.3

 

VNQM

(ex IP SLA Mgr)

 

4.5.1

4.5

4.4

4.5

4.4.1

2016

4.5

4.4

4.2.4

2016 SP1

4.5

4.4

4.5 all SPs

4.4 all SPs

4.2.4 and SP1

4.2.3 and SP1

4.2.2

UDT 3.3.2

3.3.2

3.3.1

3.3

3.3.2

3.3.1
3.3

3.3.2

3.3.1

3.3

3.3.2 all SPs

3.3.1 all SPs
3.3 all SPs
3.2.4 and SP1

3.2.3 and SP1

3.2.2

3.2

3.1

EOC

2.1.1

2.1.1

2.1

2.0

2.1.1

2.1

2.0

2.1.1

2.1

2.0

2.1.1

2.1

2.0

1.6.2

1.6.1

SAM

6.8

6.7.1

6.8

6.7.1

6.7

6.6.1

6.6

6.5

6.4

6.3

6.7.1

6.7

6.6.1

6.6

6.5

 

 

 

 

 

 

 

 

 

 

 

2016

6.7

6.6.1

6.6

6.5

6.4

6.3

6.2.4

 

2016 SP1

6.7

6.6.1

6.6

6.5

6.4

 

 

6.7

6.6.1

6.6 and all SPs

6.5 and all SPs

6.4 and all SPs

6.3 and all SPs

6.2.4 and SP1

6.2.3 and SP1

6.2.2

6.2.1

6.2

SCM

1.0.1

1.0.1

1.0

1.0.1
1.0
1.0.1
1.0
1.0.1
1.0
WPM 

2.2.3

2.2.2

2.2.1

2.2.2

2.2.2

2016

2.2.1

2016 SP1

2.2.1 (if installed with other Orion product

that supports

it)

2.2.2 2.2.1 and SP1

2.2

2.1

Patch Manager

2.1.6

2.1.6

2.1.5

2.1.4

2.1.3

2.1.6

 

2.1.6

2.1.5

2.1.4 and SP1

2.1.3

2.1.6 and SP1

2.1.5 and SP1

2.1.4 and SP1, SP2

2.1.3 and all SPs

2.1.2 and SP1

2.1.1 and SP1

2.1

Mobile Admin   8.1 N/A N/A N/A

Dameware

N/A

N/A

N/A N/A N/A
VMAN in the Orion Platform (appliance not required)

8.4

8.3.1

8.4

8.3.1

8.3

8.2.1

8.2

8.1

8.0

8.4

8.3.1

8.3

8.2.1

8.2

8.1

8.0

8.4

8.3.1

8.3

8.2.1

8.2

8.1

8.0

8.4

8.3.1

8.3

8.2.1

8.2

8.1

8.0

VMAN legacy appliance

(Orion Platform Integration required)

8.1

8.1

8.0

7.2

7.1

7.0

8.1

8.0

8.1

8.0

7.2

7.1

7.0

6.3.2

8.1

8.0

7.2

7.1

7.0

6.3.2

6.3.1

SRM

6.7.1

 

6.7

6.6
6.5
6.4

6.7

6.6
6.5

6.6
6.5
6.4 and SP1

6.3

6.6 and all SPs
6.5 and all SPs
6.4 and all SPs

6.3 and SP1

6.2.1 and SP1

6.2

6.1.X

6.0
(also with AlwaysOn Availability Groups)

LEM

Agent: 6.6 and later***

 

 


 

Agent:
6.3.1 and later

Not

currently

supp

orted

SQL Auditor: 6.2.0

SQL Auditor:

6.2.0

Engineers Toolset

11.0.7

11.0.6

11.0.5

Not

currently

supp

orted

2016

11.0.6

2016 SP1

11.0.6

2014

11.0.3

11.0.2

11.0.1

2014 SP1

11.0.6

11.0.5

11.0.3

11.0.2

2014 SP2

11.0.6

11.0.5

 

IP

Monitor

N/A

10.9

10.8.3

N/A

10.9

10.8.3

N/A

Kiwi

Syslog Server

 

9.6.6

9.6.5

9.6.3

9.6.1

9.6

9.6.6

9.6.5

9.6.3

9.6.1

9.6

9.5.2

9.6.6

9.6.5

9.6.3

9.6.1

9.6

9.5.2

9.6.6

9.6.5

9.6.3

9.6.1

9.6

9.5.2

Kiwi Cat Tools

 

3.11.5

3.11.2

3.11

N/A N/A N/A
NTM 2.2.2** 2.2.2** N/A N/A N/A
WHD

 

12.6

12.5.2

12.5.1

Not currently supported

12.6

12.6

12.5.2

12.5.1

12.5

12.4.2

12.4.1

12.4

12.3.1

Serv-U

FTP

/MFT Server

 

15.1.4**

15.1.6

Not currently supported

15.1.6

15.1.6
DPA

12.1

12.1

12.0

11.1

11.0

12.1

12.0

11.1

12.1

12.0
11.1

11.0

10.2

12.1

12.0
11.1

11.0

10.2

SCM

1.0.1

1.1

1.0.1

1.1

1.0
1.0.1

1.1

1.0
1.0.1

1.1

1.0
1.0.1

1.1

 

*Including any service packs for the MS SQL Server version.

** These versions are supported only when the product is running on Orion Platform 2016.2 or later. Orion Platform 2016.2 is installed with NPM 12.0.1 and SAM 6.3. Later versions of the products will include newer versions of the Orion Platform which fully support these versions also.

***LEM 6.6 and later supports Windows Server 2019, but the OS does not display correctly. This issue will be resolved in a future release.

Windows Server 2012 and Microsoft SQL Server 2012 support

Orion Platform 2018.4 products are no longer compatible with Microsoft Windows Server 2012, 2012 R2 and Microsoft SQL Server 2012. To use features introduced in Orion Platform 2018.4, SolarWinds strongly recommends that you upgrade to Microsoft Windows Server 2016 or later and Microsoft SQL Server 2016, 2017 or later at your earliest convenience.

Product Microsoft Windows Server

Microsoft SQL Server

2012 R2** 2012**

2012* **

NPM

(including APE/AWS)

12.3

12.2

12.1

12.0.1

12.0

12.3

12.2

12.1

12.0.1

12.0

2012
12.3
12.2
12.1
12.0.1
12.0
SP1
12.3
12.2
12.1
12.0.1
12.0
SP2
12.3
12.2
12.1
12.0.1
12.0
SP3
12.3
12.2
12.1
12.0.1
12.0
SP4
12.3

NTA

 

4.4

4.2.3

4.2.2

4.2.1

4.2

4.1.2

4.1.1

4.1

4.0.x

4.0

4.4

4.2.3

4.2.2

4.2.1

4.2

4.1.2

4.1.1

4.1

4.0.x

4.0

2012
4.4
4.2.3
4.2.2
4.2.1
4.2
4.1.2
4.1.1
4.1
4.0.3
4.0.2
4.0.1
4.0
SP1
4.4
4.2.3
4.2.2
4.2.1
4.2
4.1.2
4.1.1
4.1
4.0.3
4.0.2
4.0.1
4.0
SP2
4.4
4.2.3
4.2.2
4.2.1
4.2
4.1.2
4.1.1
4.1
SP3
4.4
4.2.3
4.2.2
4.2.1
4.2
SP4
4.4
NTA Flow Storage database 4.4 4.4 N/A
LM dedicated SQL database

1.1.1

1.1

1.0

1.1.1

1.1

1.0

N/A
NCM

7.8

7.7

7.6

7.5.1

7.5

7.4.1

7.4

7.3.2

7.3.1

7.3

7.8

7.7

7.6

7.5.1

7.5

7.4.1

7.4

7.3.2

7.3.1

7.3

7.2.2

7.2.1

7.2

7.1.1

7.8 all SPs

7.7 all SPs

7.6 all SPs

7.5.1 all SPs

7.5 all SPs

7.4.1 all SPs

7.4 SP1, SP2

7.3.2 SP1

7.3.1 SP1

7.3 SP1

7.2.2 SP1

7.2.1 SP1

7.2 SP1

7.1.1

IPAM

4.7
4.6

4.5

4.3.2

4.3.1

4.3

4.2

4.7
4.6

4.5

4.3.2

4.3.1

4.3

4.2

4.1

4.7 all SPs
4.6 all SPs

4.5 all SPs

4.3.2 all SPs

4.3.1 and SP1, SP2

4.3 and SP1

4.2 and SP1

4.1 and SP1

VNQM

(ex IP SLA Mgr)

4.5

4.4

4.2.4

4.2.3

4.2.2

4.2

4.5

4.4

4.2.4
4.2.3

4.2.2

4.2

4.1

4.0.1

4.5 all SPs

4.4 all SPs

4.2.4 all SPs

4.2.3 and SP1, SP2

4.2.2 and SP1, SP2

4.2 and SP1

4.1 and SP1

4.0.1

UDT

3.3.1
3.3
3.2.4

3.2.3

3.2.2

3.2

3.1

 

3.3.1
3.3
3.2.4

3.2.3

3.2.2

3.2

3.1

3.0.X

3.3.1 all SPs
3.3 all SPs
3.2.4 all SPs

3.2.3 and SP1, SP2

3.2.2 and SP1, SP2

3.2 and SP1

3.1 and SP1

3.0.2 and SP1

3.0

EOC

2.1

2.0

1.6.2

1.6.1

1.6

1.5

1.4

2.1

2.0

1.6.2

1.6.1

1.6

1.5

1,4

2.1

2.0

1.6.2 and SP1, SP2

1.6.1 and SP1, SP2

1.6 and SP1

1.5 and SP1, SP2

SAM

SAM 6.7.1 supports:

  • SQL Server 2014
  • SQL Server 2014 SP1
  • SQL Server 2014 SP2
  • SQL Server 2016
  • SQL Server 2016 SP1
  • SQL Server 2016 SP2
  • SQL Server 2017

 

6.7

6.6.1

6.6

6.5

6.4

6.3

6.2.4

6.2.3

6.2.2

6.2.1

6.2

6.1

6.7

6.6.1

6.6

6.5

6.4

6.3

6.2.X

6.2.3

6.2.2

6.2.1

6.2

6.1

6.0

6.7

6.6.1

6.6 and all SPs

6.5 and all SPs

6.4 and all SPs

6.3 and all SPs

6.2.4 and

all SPs

6.2.3 and SP1, SP2

6.2.2 and SP1, SP2

6.2.1 and SP1, SP2

6.2 and SP1, SP2

6.1 and SP1

6.0

SCM 1.0 1.0 1.0
WPM 

2.2.2

2.2.1

2.2

2.1

2.2.2

2.2.1

2.2

2.1

2.0.1

2.2.2

2.2.1 and SP1, SP2

2.2 and SP1, SP2

2.1 and SP1

2.0

Patch Manager

2.1.6

2.1.5

2.1.4

2.1.3

2.1.2

2.1.1

2.1

2.1.6

2.1.5

2.1.4

2.1.3

2.1.2

2.1.1

2.1

2.1.6 and all SPs

2.1.5 and all SPs

2.1.4 and all SPs

2.1.3 and all SPs

2.1.2 and all SPs

2.1.1 and SP1, SP2

2.1 and SP1

Mobile Admin   8.0 N/A

Dameware

12.0.4

11.2

11.1

11.0.1

11.0

12.0.4

11.2

11.1

11.0.1

11.0

N/A
VMAN in the Orion Platform (appliance not required)

8.4

8.3

8.2.1

8.2

8.1

8.0

8.4

8.3

8.2.1

8.2

8.1

8.0

8.4

8.3

8.2.1

8.2

8.1

8.0

VMAN legacy appliance

(Orion Platform Integration required)

8.1

8.0

7.2

7.1

7.0

6.3.2

6.3.1

8.1

8.0

7.2

7.1

7.0

6.3.2

6.3.1

All SPs:

8.1

8.0

7.2

7.1

7.0

6.3.2

 

SP1 and SP2:

6.3.1

SRM

6.6
6.5

6.4

6.3

6.2.1

6.2

6.1.X

6.0

 

6.6
6.5

6.4

6.3

6.2.1

6.2

6.1.X

6.0
 

6.6 and all SPs

6.5 and all SPs
6.4 and all SPs

6.3 and all SPs

6.2.X and SP1, SP2

6.1.X and SP1, SP2

6.0 and SP1, SP2
(also with AlwaysOn Availability Groups) 

LEM

Hyper-V VM:
5.7 and later

Agent:
5.3 and later

Console:
5.7 and later

Reports:
5.7 and later

 


 

Hyper-V VM:
5.5

Agent:
5.3 and later

Console:
5.7

Reports:
5.7

Windows 2012 Not

Supported by Adobe Flash

6.0.1

Engineers Toolset

 

11.0.6

11.0.5

11.0.3

11.0.2

11.0.1

11.0

11.0.6

11.0.5

11.0.3

11.0.2

11.0.1

11.0

2012

11.0.6

11.0.5

11.0.3

11.0.2

11.0.1

11.0

2012 SP1

11.0.6

11.0.5

11.0.3

11.0.2

11.0.1

11.0

2012 SP2

11.0.6

11.0.5

11.0.3

11.0.2

2012 SP 3

11.0.6

11.0.5

11.0.3

IP

Monitor

10.9

10.8.3

10.8.2

10.7

10.9

10.8.3

10.8.2

10.7

N/A

Kiwi

Syslog Server

9.6.5

9.6.3

9.6.1

9.6

9.6.5

9.6.3

9.6.1

9.6

9.5

9.6.6

9.6.5

9.6.3

9.6.1

9.6

9.5.2

Kiwi Cat Tools

3.11

3.10

3.11

3.10

3.8

N/A
NTM 2.0 1.0 N/A
WHD

12.6

12.5.2

12.5.1

12.5

12.4.2

12.4.1

12.4

12.3.1

12.3

12.2

12.1

12.6

12.5.2

12.5.1

12.5

12.4.2

12.4.1

12.4

12.3.1

12.3

12.2

12.1

2012

12.0

12.0.1

12.1

12.2

12.3

12.3.1

2012 SP1

12.0

12.0.1

12.1

12.2

12.3

12.3.1

2012 SP2

12.0

12.0.1

12.1

12.2

12.3

12.3.1

12.4

12.4.1

12.4.2

12.5

12.5.1

12.5.2

Serv-U

FTP

/MFT Server

15.1.4**

15.1.6

14.0.0.6

15.1.6

15.1.6
DPA

12.1

12,0

11.1

11.0

10.2

11.1

11.0

10.2

12.1

12.0

11.1

11.0

10.2

SCM 1.0 1.0 1.0

 

*Including any service packs for the MS SQL Server version.

** These versions are supported only when the product is running on Orion Platform 2016.2 or later. Orion Platform 2016.2 is installed with NPM 12.0.1 and SAM 6.3. Later versions of the products will include newer versions of the Orion Platform which fully support these versions also.

** Thwack Blog: Preparing For Your Next Orion Upgrade - Deprecation & Other Things You Need To Know

If you have already upgraded, you may have seen one or more deprecation notices within the installer. 

But what does it mean when a feature or software dependency has been deprecated? Does this mean it's no longer supported, or those versions can't be used anymore? Many customers throughout the years have requested advance notice whenever older operating systems and SQL database versions would no longer be supported in future versions of Orion, allowing them sufficient time to properly plan for those upgrades. 


Deprecation does not mean that those versions can't be used, or that they are no longer supported at the time the deprecation notice is posted. The deprecated versions continue to remain fully supported, but future Orion product releases will likely no longer support them. As such, all customers affected by these deprecation notices should take this opportunity to begin planning their migrations if they wish to stay current with the latest releases. So what has recently been deprecated?

 

Disclaimer: Please note, any content posted herein is provided as a suggestion or recommendation to you for your internal use. This is not part of the SolarWinds software or documentation that you purchased from SolarWinds, and the information set forth herein may come from third parties. Your organization should internally review and assess to what extent, if any, such custom scripts or recommendations will be incorporated into your environment.  You elect to use third party content at your own risk, and you will be solely responsible for the incorporation of the same, if any.

Last modified

Tags

Classifications

Public